Add method response

Prev Next

Available in Classic and VPC

Define and add a response status code for a created method.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses

Request headers

For For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required ID of product the API belongs to
api-id String Required ID of API whose response you want to add
resource-id String Required ID of the target resource in the API
method-name String Required Target method type
  • ANY | GET | POST | PUT | DELETE | PATCH | OPTIONS | HEAD

Request syntax

The request syntax is as follows:

{
  "responseDescription" : "responseDescription",
  "statusCode" : 0
}

Request body

You can include the following data in the body of your request:

Field Type Required Description
responseDescription String Optional Description of the response
  • 0-2000 characters
statusCode Integer Required Response status code
  • 100-599

Request example

The request example is as follows:

curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "responseDescription" : "Bad Request",
  "statusCode" : 400
}'

Response

This section describes the response format.

Response syntax

The response syntax is as follows:

{
  "methodResponseDto" : {
    "tenantId" : "tenantId",
    "apiId" : "apiId",
    "resourceId" : "resourceId",
    "methodCode" : "methodCode",
    "statusCode" : 0,
    "responseDescription" : "responseDescription",
    "modifier" : "modifier"
  }
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The response example is as follows:

{
    "methodResponseDto": {
        "tenantId": "********65ec41039ce6668c2058b8a9",
        "apiId": "cvcohvd2xj",
        "resourceId": "tf73xuex0v",
        "methodCode": "0001",
        "statusCode": 400,
        "responseDescription": "Bad Request",
        "modifier": "********-7fcd-11ec-a6ba-246e9659184c"
    }
}